API Explorer 936 endpoints

Create Card Attribute

POST /obp/v7.0.0/management/banks/BANK_ID/cards/CARD_ID/attribute

OBPv3.1.0-createCardAttribute Roles: CanCreateCardsForBank(per bank) CardCard-AttributeAttribute

Create Card Attribute

Card Attributes are used to describe a financial Product with a list of typed key value pairs.

Each Card Attribute is linked to its Card by CARD_ID

The type field must be one of "STRING", "INTEGER", "DOUBLE", "DECIMAL", "BOOLEAN" and "DATE_WITH_DAY". Use "DECIMAL" rather than "DOUBLE" for rates, prices and amounts, because it holds the value exactly; "BOOLEAN" values are "true" or "false".

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CARD_ID: 36f8a9e6-c2b1-407a-8bd0-421b7119307e

JSON request body fields (3)
name
ACCOUNT_MANAGEMENT_FEE
type
value
5987953
JSON response body fields (2)
name
ACCOUNT_MANAGEMENT_FEE
value
5987953
Example request body
{
  "name": "OVERDRAFT_START_DATE",
  "type": "DOUBLE",
  "value": "2012-04-23"
}
Example success response
{
  "name": "OVERDRAFT_START_DATE",
  "attribute_type": "DOUBLE",
  "card_attribute_id": "b4e0352a-9a0f-4bfa-b30b-9003aa467f50",
  "bank_id": {
    "value": "gh.29.uk"
  },
  "card_id": "36f8a9e6-c2b1-407a-8bd0-421b7119307e ",
  "value": "2012-04-23"
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv3.1.0 createCardAttribute Originally /obp/v3.1.0/management/banks/BANK_ID/cards/CARD_ID/attribute